#!/usr/bin/env python

import stats

def pretty_print(name, l):
    s = stats.ldescribe(l)
    
    print "r. set name: \t" + name
    print "n: \t\t" + str(s[0])
    print "min: \t\t" + str(s[1][0])
    print "max: \t\t" + str(s[1][1]) 
    print "mean: \t\t" + str(s[2])
    print "std. dev.: \t" + str(s[3])
    print "skew: \t\t" + str(s[4])
    print "kurt.: \t\t" + str(s[5])
    print 

f = open("homogen_test", "r")

for l in f.readlines():
    if l[0] == "#" or l[0] == " " or l[0] == "\n":
        continue
    elif l[0] == "[":
        start = 0
        stop = l.rfind("]")
        print "*** " + l[start+1:stop] + " ***"

    elif "=" in l.strip():
        tmp = l.split("=")
        res = tmp[1].split(",")

        vals = []
        for e in res:
            vals.append(65536-int(e)) #notice this is a special hack for certain test
        
        pretty_print(tmp[0], vals)
    else:
        print "unexpected line"

