#!/bin/bash

if [ -z $1 ]
then
    echo -n "Input dir with raw mem-dump: "
    read INPUT
else
    INPUT=$1
fi

if [ -z $2 ]
then
    echo -n "Output dir with hash files: "
    read OUTPUT
else
    OUTPUT=$2
fi

if [ -z $3 ]
then
    echo -n "Hash algorithme to use: "
    read HASH
else
    HASH=$3
fi

if [ -z $4 ]
then
    echo -n "Hashing program: "
    read PROGRAM
else
    PROGRAM=$4
fi

if [ -z $5 ]
then
    echo -n "Delete input files after hashing (y/n): "
    read DELETE
else
    DELETE=$5
fi


cd $INPUT
for I in *.gz; do
    if [ "$I" == "*.gz" ] 
    then
	echo "Error: no gziped files found!"
	exit 1
    else
        gzip -d $I
	FILE=`basename $I .gz`    
	$PROGRAM $FILE $HASH 1 0 0 0 > ${OUTPUT}`basename $FILE .dump`.${HASH}
	if [ "$DELETE" == "y" ]
	then
	    rm $FILE
	else
	    gzip $FILE
	fi
    fi
done