#!/bin/bash

if [ -z $1 ]
then
    echo -n "Which input dir to use: "
    read DIR
else
    DIR=$1
fi

if [ -z $2 ]
then
    echo -n "Show zero pages (y/N): "
    read ZERO
else
    ZERO=$2
fi

if [ -z $3 ]
then
    echo -n "Which file should output be save to: "
    read SAVE
else
    SAVE=$3
fi

COUNTER=0

for I in ${DIR}/*.MD5
do
    COUNTER=`expr $COUNTER + 10`

    if [ "$ZERO" == "y" ]
    then
	OUTPUT=`perl shareable_pages.plx $I 1`
    else
	OUTPUT=`perl shareable_pages.plx $I 0`
    fi
    echo "${COUNTER} ${OUTPUT}" >> $SAVE
done