set xlabel "Time (min)"
set ylabel "Percent"
set grid
set key box

set title "Possible shares with in a single OS"
set output "non_idle_server_internal_64.pdf"
set terminal pdf
plot "non_idle_server_internal.plot" with lines lw 2 title 'Pages', "non_idle_server_internal_zero.plot" with lines lw 2 title 'Zero pages'

set title "Possible shares with in a single OS"
set yrange [0:16]
set output "idle_server_internal_64.pdf"
set terminal pdf
plot "idle_server_internal.plot" with lines lw 2 title 'Pages', "idle_server_internal_zero.plot" with lines lw 2 title 'Zero pages'
