#!/bin/bash

if [ -z $1 ]
then
    echo -n "The file to compare against: "
    read FILE
else
    FILE=$1
fi

if [ -z $2 ]
then
    echo -n "The input dir to use: "
    read DIR
else
    DIR=$2
fi

if [ -z $3 ]
then
    echo -n "The hash alorithem used: "
    read HASH
else
    HASH=$3
fi

if [ -z $4 ]
then
    echo -n "Which file should output be saved to: "
    read SAVE
else
    SAVE=$4
fi

if [ -z $5 ]
then
    echo -n "Is it changes to the working set, which should be showen (y/n): "
    read CHANGE
else
    CHANGE:$5
fi

COUNTER=0

for I in ${DIR}/*.${HASH}
do
    FBASE=`basename $FILE`
    IBASE=`basename $I`
    if [ "FBASE" != "IBASE"  ]
    then
        OUTPUT=`./working_set_analyse.plx $FILE $I $CHANGE`
	echo "${COUNTER} ${OUTPUT}" >> $SAVE
	COUNTER=`expr $COUNTER + 10`
    fi
done