#!/usr/bin/env python

import time,os,sys

postfix = " < /dev/null >& /dev/null &"
interval = 90
worktime = 300

def do_cmd(cmd):
    print cmd
    if os.system(cmd):
        print "command failed!!!"
        sys.exit()

counter = 0

###########################################
#### Crafty
###########################################	
xencmd = "xm create xen1.conf name=01-Crafty"
do_cmd(xencmd)

time.sleep(interval)

sshcmd = 'ssh root@xenhost1 "cd crafty-20.1; ./crafty bench ' + postfix + '"'
do_cmd(sshcmd)

time.sleep(worktime) 

sshcmd = 'ssh root@xenhost1 "killall crafty' + postfix + '"'

counter += 1
xpcmd = "xenperf > results/xenperf_dump_" + str(counter) + "_" + str(time.time())
do_cmd(xpcmd)

###########################################
#### SPECweb99
###########################################
xencmd = "xm create /mnt/isos/xen3.conf name=02-SPECweb"
do_cmd(xencmd)

time.sleep(interval)

sshcmd = 'ssh spec@jackieboy2 "cd /home/spec/web99-100; . shrc ; /usr/bin/perl /home/spec/web99-100/manager /home/spec/web99-100/rc-63' + postfix + '"'
do_cmd(sshcmd)

time.sleep(worktime) 

sshcmd = 'ssh spec@jackieboy2 "killall perl; killall screen"'
do_cmd(sshcmd)

counter += 1
xpcmd = "xenperf > results/xenperf_dump_" + str(counter) + "_" + str(time.time())
do_cmd(xpcmd)

###########################################
#### OSDB database
###########################################
xencmd = "xm create /mnt/isos/xen2.conf name=03-OSDB"
do_cmd(xencmd)

time.sleep(interval)

sshcmd = 'ssh root@xenhost2 "osdb-my --mysql=innodb --dbpassword 1234 --logfile osdb_run.log' + postfix + '"'
do_cmd(sshcmd)

time.sleep(worktime) 
    
sshcmd = 'ssh root@xenhost2 "killall osdb-my"'
do_cmd(sshcmd)

counter += 1
xpcmd = "xenperf > results/xenperf_dump_" + str(counter) + "_" + str(time.time())
do_cmd(xpcmd)

###########################################
#### Kernel kompile
###########################################
xencmd = "xm create xen4.conf name=04-kernel"
do_cmd(xencmd)

time.sleep(interval)

sshcmd = 'ssh root@xenhost4 "cd /usr/src/linux-2.6.16/; make clean all' + postfix + '"'
do_cmd(sshcmd)

time.sleep(worktime) 

sshcmd = 'ssh root@xenhost4 "killall make"'
do_cmd(sshcmd)

counter += 1
xpcmd = "xenperf > results/xenperf_dump_" + str(counter) + "_" + str(time.time())
do_cmd(xpcmd)

###########################################
#### Workload MWG
###########################################
xencmd = "xm create xen5.conf name=05-mwg"
do_cmd(xencmd)

time.sleep(interval)

sshcmd = 'ssh root@xenhost5 "cd eval; ./bin/emulate_compiling_workload.py' + postfix + '"'
do_cmd(sshcmd)

time.sleep(interval) 

sshcmd = 'ssh root@xenhost5 "killall python"'
do_cmd(sshcmd)

counter += 1
xpcmd = "xenperf > results/xenperf_dump_" + str(counter) + "_" + str(time.time())
do_cmd(xpcmd)

###########################################
#### Dbench
###########################################
xencmd = "xm create xen6.conf name=06-dbench"
do_cmd(xencmd)

time.sleep(interval)

sshcmd = 'ssh root@xenhost6 "dbench 4' + postfix + '"'
do_cmd(sshcmd)

time.sleep(worktime) 

sshcmd = 'ssh root@xenhost6 "killall dbench"'
do_cmd(sshcmd)

counter += 1
xpcmd = "xenperf > results/xenperf_dump_" + str(counter) + "_" + str(time.time())
do_cmd(xpcmd)

###########################################
#### freebench
###########################################
xencmd = "xm create xen7.conf name=07-Free-bench"
do_cmd(xencmd)

time.sleep(interval)

sshcmd = 'ssh root@xenhost7 "cd freebench-1.03; make clean; make ref' + postfix + '"'
do_cmd(sshcmd)

time.sleep(worktime) 

sshcmd = 'ssh root@xenhost7 "killall make BenchDiff FBParser benchdiff RunBenchmark run.sh runbenchmark fbparser' + postfix + '"'
do_cmd(sshcmd)

counter += 1
xpcmd = "xenperf > results/xenperf_dump_" + str(counter) + "_" + str(time.time())
do_cmd(xpcmd)

###########################################
#### aim HACKED
###########################################
xencmd = "xm create xen8.conf name=08-AIM"
do_cmd(xencmd)

time.sleep(interval)

sshcmd = 'ssh root@xenhost8 "cd aim9; ./singleuser' + postfix + '"'
do_cmd(sshcmd)

time.sleep(worktime) 

sshcmd = 'ssh root@xenhost8 "killall singleuser"'
do_cmd(sshcmd)

counter += 1
xpcmd = "xenperf > results/xenperf_dump_" + str(counter) + "_" + str(time.time())
do_cmd(xpcmd)

###########################################
#### Stress
###########################################
xencmd = "xm create xen9.conf name=09-Stress"
do_cmd(xencmd)

time.sleep(interval)

sshcmd = 'ssh root@xenhost9 "stress -c 5' + postfix + '"'
do_cmd(sshcmd)

time.sleep(worktime) 

sshcmd = 'ssh root@xenhost9 "killall stress"'
do_cmd(sshcmd)

counter += 1
xpcmd = "xenperf > results/xenperf_dump_" + str(counter) + "_" + str(time.time())
do_cmd(xpcmd)


###########################################
#### Tiotest
###########################################
xencmd = "xm create xen10.conf name=10-tiotest"
do_cmd(xencmd)

time.sleep(interval)

sshcmd = 'ssh root@xenhost10 "/root/run.sh' + postfix + '"'
do_cmd(sshcmd)

time.sleep(worktime) 

sshcmd = 'ssh root@xenhost9 "killall run.sh tiotest' + postfix + '"'
do_cmd(sshcmd)

counter += 1
xpcmd = "xenperf > results/xenperf_dump_" + str(counter) + "_" + str(time.time())
do_cmd(xpcmd)




#for x in range(0, 100):

#    counter += 1
#    xpcmd = "xenperf > results/xenperf_dump_" + str(counter) + "_" + str(time.time())
#    do_cmd(xpcmd)
    
#    time.sleep(interval)
    
    
