#set xlabel "Time (min)"
#set ylabel "Percent"
set grid ytics
set grid noxtics
unset key

set boxwidth 0.15
set style fill solid 1.200000 border -1

#set title "Benchmarks"
set output "vm_mem_size_orval_dbench.pdf"
set terminal pdf
set ytics 0,50,830

set xtics nomirror ("L" 0.2, "X" 0.4, "C" 0.6,\
		    "L" 1.0, "X" 1.2, "C" 1.4,\
		    "L" 1.8, "X" 2.0, "C" 2.2,\
		    "L" 2.6, "X" 2.8, "C" 3.0)

# 64
set label "18.4218" at 0.2,18.7 rotate by 90 
set label "164.675" at 0.4,166.0 rotate by 90
set label "171.764" at 0.6,173.0 rotate by 90

# 128
set label "322.337" at 1.0,325 rotate by 90 
set label "319.969" at 1.2,322 rotate by 90
set label "317.390" at 1.4,319 rotate by 90

# 256
set label "723.989" at 1.8,725 rotate by 90 
set label "373.033" at 2.0,375 rotate by 90
set label "367.467" at 2.2,369 rotate by 90

# 512
set label "699.947" at 2.6,702 rotate by 90 
set label "373.030" at 2.8,375 rotate by 90
set label "363.635" at 3.0,365 rotate by 90

# HACK for at faa text under grafen
set xlabel " " 0.0,-0.6
set label "64MB" at 0.335,-80.115
set label "128MB" at 1.12,-80.115
set label "256MB" at 1.93,-80.115
set label "512MB" at 2.73,-80.115

plot [0.8:3.2][0:830] "l.plot" with boxes lc rgb "#000066", "x.plot" with boxes lc rgb "#3a3aab", "c.plot" with boxes lc rgb "#8888bd"

# 000066
# 141496
# 3a3aab
# 6565d2
# 8888bd
# c9c9cf
