#set xlabel "Time (min)"
#set ylabel "Percent"
set grid ytics
set grid noxtics
unset key

set boxwidth 0.15
set style fill solid 1.200000 border -1

#set title "Benchmarks"
set output "benchmark_tincan_full.pdf"
set terminal pdf
set ytics 0,100,400

set xtics nomirror ("X" 0.2, "S" 0.4,\
                    "X" 0.8, "S" 1.0,\
                    "X" 1.4, "S" 1.6,\
                    "X" 2.0, "S" 2.2,\
		    "X" 2.6, "S" 2.8)

# SPECweb99 XenU
set label "398.8" at 0.2,400 rotate by 90
set label "397.9" at 0.8,399 rotate by 90
set label "394.5" at 1.4,396 rotate by 90
set label "372.1" at 2.0,374 rotate by 90
set label "215.8" at 2.6,217 rotate by 90

# SPECweb99 XenU SPTS
set label "396.0" at 0.4,398 rotate by 90
set label "390.0" at 1.0,392 rotate by 90
set label "349.0" at 1.6,351 rotate by 90
set label "170.8" at 2.2,172 rotate by 90
set label "80.1"  at 2.8,82 rotate by 90


# HACK for at faa text under grafen
set xlabel " " 0.0,-0.6
set label "4 Connections" at 0.11,-40.115
set label "8 Connections" at 0.71,-40.115
set label "16 Connections" at 1.31,-40.115
set label "32 Connections" at 1.91,-40.115
set label "64 Connections" at 2.51,-40.115

plot [0:3.0][0:450] "x.plot" with boxes lc rgb "#3a3aab", "s.plot" with boxes lc rgb "#8888db"

# 000066
# 141496
# 3a3aab
# 6565d2
# 8888bd
# c9c9cf
