#!/usr/bin/perl

# This script is used to analyse the files with MD5 
# hash of the different memory dump files.

my $zero_hash = "620f0b67a91f7f74151bc5be745b7110"; #MD5
my $zero_pages = 0;
my $shareable = 0;
my %hashes;
my $file = shift;
my $show_zero = shift;
my $pages = 0;

if ($file eq "") {
    print "Missing input parameter!\n";
    print "Usage: perl shareable_pages.plx <input file> <show zero pages 1|0>\n\n";
    exit 1;
}

open(FILE, "$file");

while (<FILE>) {
    chomp;
    if ($_ eq $zero_hash) {
	$zero_pages++;
    } else {
	$hashes{$_}++;
    }
    $pages++;
}

close(FILE);

foreach $element (keys %hashes) {
    $shareable += $hashes{$element} - 1;
}

if ($show_zero) {
    printf("%.1f\n", ($zero_pages / $pages) * 100);
} else {
    printf("%.1f\n", ($shareable / $pages) * 100);
}

