#!/usr/bin/env python

import time,os,sys

postfix = " < /dev/null >& /dev/null &"
interval = 90
worktime = 300

def do_cmd(cmd):
    print cmd
    if os.system(cmd):
        print "command failed!!!"
        sys.exit()

counter = 0

###########################################
#### SPECweb99
###########################################
xencmd = "xm create /mnt/isos/xen3.conf name=02-SPECweb"
do_cmd(xencmd)

time.sleep(10)

###########################################
#### OSDB database
###########################################
xencmd = "xm create /mnt/isos/xen4.conf name=03-OSDB"
do_cmd(xencmd)

time.sleep(10)


###########################################
#### Kernel kompile
###########################################
xencmd = "xm create xen2.conf name=04-kernel"
do_cmd(xencmd)

time.sleep(10)

###########################################
#### Workload MWG
###########################################
xencmd = "xm create xen5.conf name=05-mwg"
do_cmd(xencmd)

time.sleep(10)

###########################################
#### Dbench
###########################################
xencmd = "xm create xen6.conf name=06-dbench"
do_cmd(xencmd)

time.sleep(10)


###########################################
#### freebench
###########################################
xencmd = "xm create xen7.conf name=07-Free-bench"
do_cmd(xencmd)

time.sleep(10)


xpcmd = "xenperf > results/xenperf_dump_0_" + str(time.time())
do_cmd(xpcmd)

###########################################
#### aim HACKED
###########################################
xencmd = "xm create xen8.conf name=08-AIM"
do_cmd(xencmd)

time.sleep(10)


###########################################
#### Stress
###########################################
xencmd = "xm create xen9.conf name=09-Stress"
do_cmd(xencmd)

time.sleep(10)


time.sleep(40)

xpcmd = "xenperf > results/xenperf_dump_1_" + str(time.time())
do_cmd(xpcmd)

time.sleep(60)

xpcmd = "xenperf > results/xenperf_dump_2_" + str(time.time())
do_cmd(xpcmd)

time.sleep(60)

xpcmd = "xenperf > results/xenperf_dump_3_" + str(time.time())
do_cmd(xpcmd)

time.sleep(60)

xpcmd = "xenperf > results/xenperf_dump_4_" + str(time.time())
do_cmd(xpcmd)


sshcmd = 'ssh spec@jackieboy2 "cd /home/spec/web99-100; . shrc ; /usr/bin/perl /home/spec/web99-100/manager /home/spec/web99-100/rc-63' + postfix + '"'
do_cmd(sshcmd)

sshcmd = 'ssh root@xenhost4 "osdb-my --mysql=innodb --dbpassword 1234 --logfile osdb_run.log' + postfix + '"'
do_cmd(sshcmd)

sshcmd = 'ssh root@xenhost2 "cd /usr/src/linux-2.6.16/; make clean all' + postfix + '"'
do_cmd(sshcmd)

sshcmd = 'ssh root@xenhost5 "cd eval; ./bin/emulate_compiling_workload.py' + postfix + '"'
do_cmd(sshcmd)

sshcmd = 'ssh root@xenhost6 "dbench 4' + postfix + '"'
do_cmd(sshcmd)

sshcmd = 'ssh root@xenhost7 "cd freebench-1.03; make clean; make ref' + postfix + '"'
do_cmd(sshcmd)

sshcmd = 'ssh root@xenhost8 "cd aim9; ./singleuser' + postfix + '"'
do_cmd(sshcmd)

sshcmd = 'ssh root@xenhost9 "stress -c 5' + postfix + '"'
do_cmd(sshcmd)

time.sleep(60)

xpcmd = "xenperf > results/xenperf_dump_5_" + str(time.time())
do_cmd(xpcmd)

for x in range(6, 100):

    xpcmd = "xenperf > results/xenperf_dump_" + str(x) + "_" + str(time.time())
    do_cmd(xpcmd)
    
    time.sleep(60)
    
    
