#!/usr/bin/env python

import time,os,sys

start = 1
stop = 8

def do_cmd(cmd):
    print cmd
    if os.system(cmd):
        print "command failed!!!"
        sys.exit()

cmd = "xm info > results/info"
do_cmd(cmd)

#start machines
for vm in range(start, stop+1):

    xencmd = "xm create xen" + str(vm) + ".conf"
    do_cmd(xencmd)

    time.sleep(10)
    
#wait 10 minutes while dumping
for sec in range(0, 10):
    xpcmd = "xenperf > results/xenperf_dump_" + str(sec)
    do_cmd(xpcmd)
    time.sleep(60)

#start test
for vm in range(start, stop+1):

    start_cmd = "osdb-my --mysql=innodb --dbpassword 1234 --logfile osdb_run.log " + " < /dev/null >& /dev/null &"
    sshcmd = "ssh xenhost" + str(vm) + ' "' + start_cmd + '"'
    do_cmd(sshcmd)
    time.sleep(10) 
    
#dump periodically for the duration of the test
for sec in range(10, 61):
    xpcmd = "xenperf > results/xenperf_dump_" + str(sec)
    do_cmd(xpcmd)
    time.sleep(60)
    
