#!/bin/sh

LOG=random_emerge.txt

while (true)
do

    # Find a type of package out-dir
    COUNT=0
    for I in /usr/portage/*
    do
	COUNT=`expr $COUNT + 1`
        DIR[$COUNT]=$I    
    done
    NO=`expr $RANDOM + 1`
    ENTRY=`expr $NO % $COUNT`
    if [ "$ENTRY" == "0" ]
    then
	ENTRY=1
    fi
        
    # Find the package to emerge in inner-dir
    COUNT=0
    for I in ${DIR[$ENTRY]}/*
    do
        COUNT=`expr $COUNT + 1`
        DIR[$COUNT]=$I
    done
    NO=`expr $RANDOM + 1`
    ENTRY=`expr $NO % $COUNT`
    if [ "$ENTRY" == "0" ]
    then
	ENTRY=1
    fi

    PACKAGE=`basename ${DIR[$ENTRY]}`
    echo "emerge ${PACKAGE}" > $LOG    
    ACCEPT_KEYWORDS=~x86 emerge ${PACKAGE}
    
    # sleep 5 min
    sleep 300
done
