#!/bin/sh

HOSTS="10.0.0.125 10.0.0.126 10.0.0.127 10.0.0.128"

if [ "$1" == "start" ]
then
    for HOST in $HOSTS
    do
      if [ "$2" == "list" ]
      then
	  `ssh root@${HOST} "/root/emerge_list.pl /root/random_package_list.txt > /dev/null 2>&1 &"`
      else
	  `ssh root@${HOST} "/root/random_select.sh > /dev/null 2>&1 &"`
      fi
      echo "Started random emerge on host: $HOST"
    done
    exit 1
fi

if [ "$1" == "stop" ]
then
    for HOST in $HOSTS
    do
	`ssh root@${HOST} "killall random_select.sh emerge make gcc cc ld ebuild.sh python configure > /dev/null 2>&1 &"`
	echo "Trying to stop random select on host: $HOST"
    done
    exit 1
fi

echo "Please define action: start | stop"
exit -1
